import request from '@/utils/request'
import Qs from 'qs'

/**
* 1. 列表查询
* 2. 查询详细信息
* 3. 新增
* 4. 修改
* 5. 逻辑删除
* 6. 导出
*
*/

// 1. 查询新闻资讯列表
export function listSysContentNewsInformation(query) {
  return request({
    url: '/syscontentnewsinformation/querySysContentNewsInformationByPagination',
    method: 'get',
    params: query
  })
}

// 2. 查询新闻资讯详细信息
export function getSysContentNewsInformation(businessId) {
  return request({
    url: '/syscontentnewsinformation/detail/' + businessId,
    method: 'get'
  })
}

// 3. 新增新闻资讯
export function addSysContentNewsInformation(data) {
  data = Qs.stringify(data)
  return request({
    url: '/syscontentnewsinformation/add',
    method: 'post',
    data: data
  })
}

// 4. 修改新闻资讯
export function updateSysContentNewsInformation(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/syscontentnewsinformation/update/' + businessId,
    method: 'post',
    data
  })
}

// 5. 逻辑删除新闻资讯
export function delSysContentNewsInformation(businessId) {
  return request({
    url: '/syscontentnewsinformation/delete/' + businessId,
    method: 'delete'
  })
}

// 6. 导出新闻资讯
export function exportSysContentNewsInformation(query) {
  return request({
    url: '/syscontentnewsinformation/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
// 7. 修改新闻资讯状态
export function updateStatus(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/syscontentnewsinformation/updateStatus/' + businessId,
    method: 'post',
    data: data
  })
}
